View Issue Details

IDProjectCategoryView StatusLast Update
0003858GNUnetrps servicepublic2018-06-07 00:25
ReporterIonbarAssigned Toch3 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux x86_64OSArch LinuxOS Version
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003858: make error when configuring with --enable-experimental: missing library in Makefile.am
DescriptionThis is a patch.

--- src/gnunet/src/rps/Makefile.am 2015-06-22 20:53:10.811423183 +0200
+++ ../gnunet/test/gnunet/src/rps/Makefile.am 2015-06-23 13:16:49.587420877 +0200
@@ -58,6 +58,7 @@
   $(top_builddir)/src/cadet/libgnunetcadet.la \
   $(top_builddir)/src/nse/libgnunetnse.la \
   $(top_builddir)/src/statistics/libgnunetstatistics.la \
+ $(top_builddir)/src/peerinfo/libgnunetpeerinfo.la \
   $(LIBGCRYPT_LIBS) \
   -lm -lgcrypt \
   $(GN_LIBINTL)
Steps To Reproducesvn co https://gnunet.org/svn/gnunet/
cd gnunet
./bootstrap
./configure --enable-experimental
make

-> error when building rps

  CCLD gnunet-service-rps
gnunet-service-rps.o: In function `run':
gnunet/test/gnunet/src/rps/gnunet-service-rps.c:2803: undefined reference to `GNUNET_PEERINFO_connect'
gnunet/test/gnunet/src/rps/gnunet-service-rps.c:2829: undefined reference to `GNUNET_PEERINFO_notify'
gnunet-service-rps.o: In function `shutdown_task':
gnunet/test/gnunet/src/rps/gnunet-service-rps.c:2478: undefined reference to `GNUNET_PEERINFO_notify_cancel'
Tagspatch

Activities

Ionbar

2015-06-23 14:48

reporter   ~0009312

sorry, didn't see there was "build process" category

ch3

2015-06-23 14:52

developer   ~0009313

Sorry, just forgot to add the change in the makefile

Christian Grothoff

2015-06-23 19:55

manager   ~0009321

ch3: you should also mark bugs as 'resolved' when you fix them ;-)

Issue History

Date Modified Username Field Change
2015-06-23 14:44 Ionbar New Issue
2015-06-23 14:44 Ionbar Status new => assigned
2015-06-23 14:44 Ionbar Assigned To => ch3
2015-06-23 14:47 Ionbar Tag Attached: patch
2015-06-23 14:48 Ionbar Note Added: 0009312
2015-06-23 14:52 ch3 Note Added: 0009313
2015-06-23 14:53 ch3 Resolution open => fixed
2015-06-23 14:53 ch3 Fixed in Version => SVN HEAD
2015-06-23 19:55 Christian Grothoff Note Added: 0009321
2015-06-23 19:56 Christian Grothoff Status assigned => resolved
2015-06-23 19:56 Christian Grothoff Fixed in Version SVN HEAD => 0.11.0pre66
2015-06-23 19:56 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:25 Christian Grothoff Status resolved => closed